Unity global menubar extension for Firefox and Thunderbird

Firebug extension causes firefox to crash (can be triggered by opening HUD)

Reported by Juan Pablo on 2012-07-15
340
This bug affects 73 people
Affects Status Importance Assigned to Milestone
Global menubar extension
Critical
Unassigned
Mozilla Firefox
Invalid
Critical
firefox (Ubuntu)
High
Unassigned
Natty
High
Unassigned
Oneiric
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned

Bug Description

Searching for any text causes Firefox 13.0.1 to crash on Ubuntu 12.04 ( both 32 & 64 bit **1).

Test case:

1. Hit ALT to bring up the HUD search box
2. Type one or more words into the textbox.

Expected result:

1. HUD appears ready to search
2. Results appear depending on the search term.

What actually happens:

1. HUD appears ready to search
2. Results appear, however firefox crashes shortly after.

== Additional information ==

Running firefox in safe mode makes HUD ignore firefox. In this situation Firefox doesn't crash.

**1: I can reproduce this bug on 64 bit Ubuntu. Peter Cawkell is experiencing this bug on 32 bit ( see coments )

Juan Pablo (juanps90) wrote :

Terminal Output:

(firefox:17321): LIBDBUSMENU-GTK-CRITICAL **: dbusmenu_menuitem_property_set_shortcut: assertion `gtk_accelerator_valid(key, modifier)' failed

Peter Cawkwell (peter-cawkwell) wrote :

Affecting me too...
Firefox 13.0.1
Ubuntu 12.04 32 bit

Benedikt Breinbauer (benebun) wrote :

Same here.
Firefox 13.0.1
Ubuntu 12.04 64 bit

Juan Pablo (juanps90) on 2012-07-16
description: updated
description: updated
description: updated
description: updated
Siavash Askari Nasr (siavash) wrote :

If you disable"Global Menu Bar integration" add-on, HUD will not work on Firefox, therefore Firefox will not crash. That's why it will not crash on safe mode.
https://launchpad.net/globalmenu-extension

This bug affects me on Firefox 14.0.1, Ubuntu 12.04 64-bit.

Bilal Akhtar (bilalakhtar) wrote :

This doesn't happen for me on Firefox 13.0.1, 64-bit 12.04. Since this is a crash bug, there are two options:

1) Follow the steps at https://wiki.ubuntu.com/MozillaTeam/Bugs?action=show&redirect=DebuggingFirefox#Crashes to run Firefox under GDB and post the output log file as an attachment here

2) Close this bug, and then use Apport to file a crash bug the next time this happens. An Apport dialog should come up automatically right after the crash which should assist you. Or you can just search for a .crash file for firefox in /var/crash and then run this command
apport-bug /var/crash/NAME_OF_CRASH_FILE.crash
which will file a new bug with the required info.

Marking Incomplete for now, please take either one of the two actions. Thanks!

Changed in unity:
status: New → Incomplete
Chris Coulson (chrisccoulson) wrote :

Note, there will be no Apport crash file if it's a Firefox crash, but there will be an opportunity to submit a crash report to the upstream crash database. Once you've done this, feel free to open a new bug report by following the guidelines in https://wiki.ubuntu.com/MozillaTeam/Bugs.

(as this bug was originally opened against unity, it doesn't contain any of the Firefox-specific Apport data which is mandatory when reporting Firefox bugs. so you need to open a new report in any case)

Changed in firefox (Ubuntu):
status: New → Invalid
Juan Pablo (juanps90) wrote :

Complete GDB debug uploaded.

Changed in unity:
status: Incomplete → Confirmed
P.D. (paed808) wrote :

Affects me also.
Firefox 13.01 - Ubuntu 12.04 32-bit

P.D. (paed808) wrote :

Still crashes in Firefox 14.01

David Delony (ddelony) wrote :

Running the "Reset Firefox" option under Help -> Troubleshooting Information seems to solve it.

Andrew Hunt (ampersandroo) wrote :

I tried the Reset Firefox, and it stopped having problems. I then reinstalled Firebug (which I had been using before), and the problem immediately resurfaced. I disabled Firebug, and it's back to normal.

It's #2 top browser crasher in 14.0.1 on Linux and first appeared in 13.0.1 and 14.0.1 on July 12.

Signature uGlobalMenu::OnOpen More Reports Search
UUID c8bba6db-a6eb-43d6-b736-f55602120718
Date Processed 2012-07-18 15:23:27
Uptime 1975
Last Crash 42.1 minutes before submission
Install Age 32.9 minutes since version was first installed.
Install Time 2012-07-18 14:49:44
Product Firefox
Version 14.0.1
Build ID 20120713224758
Release Channel release
OS Linux
OS Version 0.0.0 Linux 3.2.0-26-generic-pae #41-Ubuntu SMP Thu Jun 14 16:45:14 UTC 2012 i686
Build Architecture x86
Build Architecture Info GenuineIntel family 6 model 42 stepping 7
Crash Reason SIGSEGV
Crash Address 0x36
User Comments hit alt-tab, alt was held too long and opened the heads-up display
App Notes
OpenGL: Tungsten Graphics, Inc -- Mesa DRI Intel(R) Sandybridge Mobile x86/MMX/SSE2 -- 3.0 Mesa 8.0.2 -- texture_from_pixmap
EMCheckCompatibility True

Frame Module Signature Source
0 libglobalmenu.so uGlobalMenu::OnOpen nsIContent.h:379
1 libglobalmenu.so uGlobalMenu::MenuEventCallback uGlobalMenu.cpp:134
2 libdbusmenu-glib.so.4.0.13 _dbusmenu_menuitem_marshal_BOOLEAN__STRING_VARIANT_UINT menuitem-marshal.c:205
3 libgobject-2.0.so.0.3200.3 g_closure_invoke gclosure.c:777
4 libgobject-2.0.so.0.3200.3 signal_emit_unlocked_R gsignal.c:3547
5 libgobject-2.0.so.0.3200.3 g_signal_emit_valist gsignal.c:3306
6 libgobject-2.0.so.0.3200.3 g_signal_emit gsignal.c:3352
7 libdbusmenu-glib.so.4.0.13 dbusmenu_menuitem_handle_event menuitem.c:1755
8 libdbusmenu-glib.so.4.0.13 event_local_handler server.c:1642
9 libglib-2.0.so.0.3200.3 g_timeout_dispatch gmain.c:3882
10 libglib-2.0.so.0.3200.3 g_main_context_dispatch gmain.c:2539
11 libglib-2.0.so.0.3200.3 g_main_context_iterate gmain.c:3146
12 libglib-2.0.so.0.3200.3 g_main_context_iteration gmain.c:3207
13 libxul.so nsAppShell::ProcessNextNativeEvent nsAppShell.cpp:162
14 libxul.so nsBaseAppShell::DoProcessNextNativeEvent nsBaseAppShell.cpp:171
15 libxul.so nsBaseAppShell::OnProcessNextEvent nsBaseAppShell.cpp:306
16 libxul.so nsThread::ProcessNextEvent nsThread.cpp:618
17 libxul.so NS_ProcessNextEvent_P nsThreadUtils.cpp:245
18 libxul.so mozilla::ipc::MessagePump::Run MessagePump.cpp:114
19 libxul.so MessageLoop::RunInternal message_loop.cc:208
20 libxul.so MessageLoop::Run message_loop.cc:201
21 libxul.so nsBaseAppShell::Run nsBaseAppShell.cpp:189
22 libxul.so nsAppStartup::Run nsAppStartup.cpp:295
23 libxul.so XREMain::XRE_mainRun nsAppRunner.cpp:3780
24 libxul.so XREMain::XRE_main nsAppRunner.cpp:3857
25 libxul.so XRE_main nsAppRunner.cpp:3933
26 firefox main nsBrowserApp.cpp:190
...

More reports at:
https://crash-stats.mozilla.com/report/list?signature=uGlobalMenu%3A%3AOnOpen

Juan Pablo (juanps90) wrote :

I can also confirm that, disabling Firebug solves the problem for me.

David Delony (ddelony) wrote :

I can also confirm that it only crashes when Firebug is installed.

Siavash Askari Nasr (siavash) wrote :

I disabled Firebug too, and it solved the problem.

P.D. (paed808) wrote :

Same, firebug seems to be the cause of the problem.

I can reproduce this too actually. It's been reported a few times to our bug tracker too, and seems to require Firebug to be installed to trigger it. It happens only when opening the "Firebug UI Location" submenu.

The crash occurs when calling nsINode::OwnerDoc() on the menupopup associated with this menu, because mNodeInfo is null. Why would this happen?? :/

(Note, I'm the developer of the addon which seems to cause this crash)

affects: unity → globalmenu-extension
Changed in globalmenu-extension:
importance: Undecided → Critical
status: Confirmed → Triaged
Chris Coulson (chrisccoulson) wrote :

Thanks. It seems that a recent Firebug update has exposed a dormant bug :/

Changed in firefox (Ubuntu Natty):
importance: Undecided → High
Changed in firefox (Ubuntu Oneiric):
importance: Undecided → High
Changed in firefox (Ubuntu Precise):
importance: Undecided → High
Changed in firefox (Ubuntu Quantal):
importance: Undecided → High
Changed in firefox (Ubuntu Natty):
status: New → Triaged
Changed in firefox (Ubuntu Precise):
status: New → Triaged
Changed in firefox (Ubuntu Oneiric):
status: New → Triaged
Changed in firefox (Ubuntu Quantal):
status: Invalid → Triaged
Changed in globalmenu-extension:
status: Triaged → Fix Committed
Juan Pablo (juanps90) wrote :

Could there be anything more awesome than being able to interact with developers this way?

Thank you for such an awesome plugin, Chris

Chris Coulson (chrisccoulson) wrote :

Heh, thanks! Don't get too excited just yet, as I can still make it crash with the fix ;)

(just trying to understand why)

DiS (electric.dog) wrote :

Affecting me too.
Firefox 14.0.1
Ubuntu 12.04 64 bit

Juan Pablo (juanps90) wrote :

I'm ready to test whatever needs to be tested, Chris.

So, the issue is actually a long-standing dormant bug in our addon that has surfaced now because of this change in Firebug:

https://github.com/firebug/firebug/commit/f2b23d0ec2ac886418032fd66f040bfbfeea0ad9

For anyone who isn't familiar, we ship an addon in Ubuntu to put the Firefox menubar in the Unity panel, and this works in a similar fashion to the Mac native menu. What this means is that the "state" property for a menupopup doesn't work because it depends on there being a frame (it always returns "closed").

We have some workarounds in our addon to make other menus that depend on this feature work correctly (eg, the Edit menu). What happens now in the Firebug case is that a submenu opening causes the Firebug top-level menu to remove all of its children (including the submenu that the popupshowing event is currently being dispatched to), because the 'if (popup.state == "open")' check fails in Firebug.GlobalUI.onMenuShowing(). This triggers a use-after-free in our addon.

The actual crash is easily fixable, but the Firebug menu is still broken (basically, a submenu disappears as it is opening).

I thought I could fix this by providing my own binding for menupopups which derives from chrome://global/content/bindings/popup.xml#popup, and then implementing the "state" property in my derived binding.

However, whilst this works correctly for most menupopups, it doesn't work for the Firebug menus. The menupopups for Firebug never actually get a binding attached, despite us doing the same dance as http://hg.mozilla.org/mozilla-central/file/a3e1c960433b/widget/cocoa/nsMenuX.mm#l408 in our addon. I'm not entirely sure why this is, but I guess it is because Firebug creates the menupopup with document.createElement("menupopup"), so the popup is wrapped by xpconnect before it is inserted in to the document (and obviously, the binding will never be attached by the frame constructor, because it never gets a frame).

I could probably manually attach the binding from our addon, but nsIXBLService has been removed in Firefox 15 which makes that quite difficult (the removal of that also means we can no longer do this: http://hg.mozilla.org/mozilla-central/file/a3e1c960433b/widget/cocoa/nsMenuX.mm#l690, although that is a separate issue).

I'm pretty stuck with how to proceed here to fix our addon :(

Chris Coulson (chrisccoulson) wrote :

I've added a comment on the bug in Mozilla's bug tracker now

Juan Pablo (juanps90) wrote :

Chris, I've read your comment, so that means there is no fix at the moment?

Changed in firefox:
importance: Unknown → Critical
status: Unknown → Confirmed
Changed in firefox (Ubuntu Quantal):
status: Triaged → Fix Committed

This bug was fixed in the package firefox - 15.0~b2+build1-0ubuntu1

---------------
firefox (15.0~b2+build1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release from the beta channel (FIREFOX_15_0b2_BUILD1)

  * Update globalmenu-extension to 3.4 prerelease r422
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
 -- Chris Coulson <email address hidden> Wed, 25 Jul 2012 17:23:35 +0100

Changed in firefox (Ubuntu Quantal):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2012-07-30
tags: added: verification-needed
Adam Conrad (adconrad) wrote :

Hello Juan, or anyone else affected,

Accepted firefox into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/firefox/14.0.1+build1-0ubuntu0.12.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in firefox (Ubuntu Precise):
status: Triaged → Fix Committed
Changed in firefox (Ubuntu Oneiric):
status: Triaged → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Juan, or anyone else affected,

Accepted firefox into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/firefox/14.0.1+build1-0ubuntu0.11.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in firefox (Ubuntu Natty):
status: Triaged → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Juan, or anyone else affected,

Accepted firefox into natty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/firefox/14.0.1+build1-0ubuntu0.11.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

I don't see this in precise-proposed yet. Am I doing something wrong or
does it just take longer than I think it should...

In Mon, Jul 30, 2012 at 12:27 PM, Adam Conrad <adconrad@0c3.net> wrote:

> Hello Juan, or anyone else affected,
>
> Accepted firefox into precise-proposed. The package will build now and
> be available at
> http://launchpad.net/ubuntu/+source/firefox/14.0.1+build1-0ubuntu0.12.04.2
> in a few hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Your feedback will aid us getting this update
> out to other Ubuntu users.
>
> If this package fixes the bug for you, please change the bug tag from
> verification-needed to verification-done. If it does not, change the
> tag to verification-failed. In either case, details of your testing
> will help us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!
>
> ** Changed in: firefox (Ubuntu Precise)
> Status: Triaged => Fix Committed
>
> ** Changed in: firefox (Ubuntu Oneiric)
> Status: Triaged => Fix Committed
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1026282).
> https://bugs.launchpad.net/bugs/1025011
>
> Title:
> HUD search causes firefox to crash
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/firefox/+bug/1025011/+subscriptions
>

It is in precise-proposed now; it took a while to get there.

Micah Gersten (micahg) wrote :

Sorry, this got stuck in binary NEW. It's been released to -proposed and should be showing up on mirrors soon.

Gary Bishop (gb-cs) wrote :

This seems to fix it.

tags: added: verification-done
removed: verification-needed
Scott Kitterman (kitterman) wrote :

@gary: Which release did you test?

tags: added: verification-needed
Colin Law (colin-law) wrote :

If it is of any interest the fix has solved it in Quantal. Firefox 15.0.

I tested it on Precise. Seems to work fine though I was only able to test
it for a short time before I to go offline for several days.

On Tue, Aug 7, 2012 at 3:25 AM, Colin Law <email address hidden>wrote:

> If it is of any interest the fix has solved it in Quantal. Firefox
> 15.0.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1026282).
> https://bugs.launchpad.net/bugs/1025011
>
> Title:
> HUD search causes firefox to crash
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/firefox/+bug/1025011/+subscriptions
>

So is Firefox 15 going to be released in Precise?

Greg A (etulfetulf) wrote :

Firefox 15 is due to be released on August 28th. New Firefox releases usually appear in all supported versions of Ubuntu.

Colin Law (colin-law) wrote :

It is not necessary to wait for FF 15, the version mentioned in comment #29 should fix it in Precise.

Micah Gersten (micahg) wrote :

This fix is in the proposed repository for natty, oneiric, and precise, and will be pushed to updates once the builds are verified to fix the issue, 7 days have passed, and there are no new regressions reported.

Jens Berke (jensberke) wrote :

I installed the packages which are supposed to fix this bug from precise-proposed yesterday. Before this update I could reproduce the crash 100%. Now it's working better but it's not fully fixed yet: I *sometimes* manage to crash Firefox when I do a HUD search. I still haven't figured out when that happens and will post here once I find out.

Jens Berke (jensberke) wrote :

Here's a stack trace I created following the instructions from https://wiki.ubuntu.com/MozillaTeam/Bugs#Run_Firefox_in_a_Debugger

I'm still not sure how to reproduce it, it's just trial and error. I just switched to Firefox to other running applications and back again, opened the HUD every now and then, and most of the time there's no crash. And then suddenly it happens. I hope the stack trace can help you.

It also seems that the crash can happen when Firefox doesn't have the focus while opening the HUD.

Jens Berke (jensberke) wrote :

I finally managed to reproduce the bug. The cause seems to be the drop down list of the location bar in Firefox in combination with the Firebug extension.

My Ubuntu setup: Ubuntu 12.04 32-bit, all latest packages installed as of now, plus all latest firefox packages from precise-proposed as of now.

Prerequisites:
1. Have a few URLs in your browser history. We need the drop down box of the location bar to be populated with some items.
2. Have the Firebug extension for Firefox installed (I have the current latest version 1.10.2)

Steps to reproduce:
1. Start Firefox. On my setup it starts with one tab showing a blank empty page. No need to open any web page.
2. Go into the location bar of Firefox and press ALT-DOWN. The drop down box of the location bar opens. No need to select anything there.
3. Press ALT to open the HUD and enter a search term which creates some results in the HUD.
4. Press ESC two times in the HUD to make it disappear,
5. Go into the location bar of Firefox again and press ALT-DOWN again. The drop down box of the location bar opens again. No need to select anything there.
6. Press ALT to open the HUD again and enter a search term which creates some results in the HUD.
7. Crash!

This reproduces the bug more than 95% of the time. In some rare case I need three or four rounds of openening the location bar and the HUD, and sometimes additionally going up and down the items in the drop down box of the location bar with the arrow keys to get the crash.

If I disable Firebug everything works fine and I'm not able to reproduce the bug then.

I can provoke the bug in the same way here on the precise-proposed version.

On Fri, Aug 10, 2012 at 5:37 PM, Jens Berke <email address hidden>wrote:

> I finally managed to reproduce the bug. The cause seems to be the drop
> down list of the location bar in Firefox in combination with the Firebug
> extension.
>
> My Ubuntu setup: Ubuntu 12.04 32-bit, all latest packages installed as
> of now, plus all latest firefox packages from precise-proposed as of
> now.
>
> Prerequisites:
> 1. Have a few URLs in your browser history. We need the drop down box of
> the location bar to be populated with some items.
> 2. Have the Firebug extension for Firefox installed (I have the current
> latest version 1.10.2)
>
> Steps to reproduce:
> 1. Start Firefox. On my setup it starts with one tab showing a blank empty
> page. No need to open any web page.
> 2. Go into the location bar of Firefox and press ALT-DOWN. The drop down
> box of the location bar opens. No need to select anything there.
> 3. Press ALT to open the HUD and enter a search term which creates some
> results in the HUD.
> 4. Press ESC two times in the HUD to make it disappear,
> 5. Go into the location bar of Firefox again and press ALT-DOWN again. The
> drop down box of the location bar opens again. No need to select anything
> there.
> 6. Press ALT to open the HUD again and enter a search term which creates
> some results in the HUD.
> 7. Crash!
>
> This reproduces the bug more than 95% of the time. In some rare case I
> need three or four rounds of openening the location bar and the HUD, and
> sometimes additionally going up and down the items in the drop down box
> of the location bar with the arrow keys to get the crash.
>
> If I disable Firebug everything works fine and I'm not able to reproduce
> the bug then.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1026282).
> https://bugs.launchpad.net/bugs/1025011
>
> Title:
> HUD search causes firefox to crash
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/firefox/+bug/1025011/+subscriptions
>

I'm guessing you've now updated to Firebug 1.10.2? That update has exposed yet another (but different) bug in our addon (see bug 1035305). This is frustrating, and it doesn't help that our SRU process is completely unsuitable for responding quickly to these types of bugs where a change in code that we have no control over exposes a critical bug (whether it be a website or an addon).

Firefox 15 will be released before we get a fix for the new issue through proposed, so I'm afraid that people are stuck with this critical regression (which is a startup crash for a lot of Firebug users) until then (or until Mozilla blocklist our addon entirely)

Yes, I'm on Firebug 1.10.2 and Firefox from precise-proposed. I have seen
it crash on startup as well.

I have also seen a problem where I sometimes cannot move focus to a second
Firefox window but I haven't figured out how to reproduce that one.

gb

On Sat, Aug 11, 2012 at 1:46 PM, Chris Coulson
<email address hidden>wrote:

> I'm guessing you've now updated to Firebug 1.10.2? That update has
> exposed yet another (but different) bug in our addon (see bug 1035305).
> This is frustrating, and it doesn't help that our SRU process is
> completely unsuitable for responding quickly to these types of bugs
> where a change in code that we have no control over exposes a critical
> bug (whether it be a website or an addon).
>
> Firefox 15 will be released before we get a fix for the new issue
> through proposed, so I'm afraid that people are stuck with this critical
> regression (which is a startup crash for a lot of Firebug users) until
> then (or until Mozilla blocklist our addon entirely)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1026282).
> https://bugs.launchpad.net/bugs/1025011
>
> Title:
> HUD search causes firefox to crash
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/firefox/+bug/1025011/+subscriptions
>

Yes, I've updated to Firebug 1.10.2 I'm not sure if you're guess of bug #1035305 being related to this one is right. My steps to reproduce in comment 45 indicate that the crash doesn't happen when switching "to" firefox (like in bug #1035305) but when switching away from it (opening the HUD).

Chris Coulson (chrisccoulson) wrote :

Yes, it's definitely the same issue. For some reason, the HUD refreshes the menu on application startup and/or every time the application receives focus for some people (but not others). For these people, this is a startup crash or a crash every time Firefox receives focus. For others, it's a crash every time you accidentally hit the Alt key (whether you wanted to use the HUD or not).

Greg A (etulfetulf) on 2012-08-12
summary: - HUD search causes firefox to crash
+ Firebug extension causes firefox to crash (can be triggered by opening
+ HUD)
Jimmy (jimmy-axenhus) wrote :

I also got this. Disabling Firebug does indeed solve the problem.

Ubuntu 12.04 64-bit
Firefox 14.0.1
Firebug 1.10.2

LDZ (linuxopenconnection) wrote :

Disabling Firebug does resolve my issue.
Last version where issue didn't appear was Firefox version 12.0.1

Ubuntu 12.04 64-bit
Firefox & global menubar 14.0.1
Firebug 1.10.2

Mozila Firefox for Ubuntu Cannonical 1.0

tex (gtrexler) wrote :

Fix doesn't work for me. Disabling Firebug resolves the issue.

Ubunu 12.04 32-bit
Firefox 14.01
Firebug 1.10.2

Radko Dinev (radko-dinev) wrote :

I haven't restarted Firefox for a couple of days. Today after a restart Firefox started crashing on each open even when starting with an empty session. Basically I cannot start Firefox, only in safe mode. It turned out to be the "Global Menu Bar integration 3.2.5" add-on that crashes the browser and after disabling it Firefox stopped crashing. And yes, I have Firebug.

So this means no HUD support for Firefox when you have Firebug enabled until this bug is fixed.

Colin Law (colin-law) wrote :

Radko: Does the problem go away if you disable firebug? If so then it is likely this bug or conceivably bug #1035305 and yes it seems likely you will have to wait for the fix if you want to use firebug and the HUD at the same time. Alternatively avoid using the HUD when you need to use firebug.

Steve Langasek (vorlon) on 2012-08-14
tags: added: verification-done-precise
removed: verification-done
Steve Langasek (vorlon) wrote :

Marking verification-failed per discussion with Chris, since this only partially fixes the issue with firebug and another update is in the works.

tags: added: verification-failed
removed: verification-done-precise
Radko Dinev (radko-dinev) wrote :

@Colin Law: Disabling Firebug fixes all problems but I need Firebug so I chose to disable the "Global Menu Bar integration" add-on.

Some updates a couple of weeks ago introduced the problem of Firefox crashing (probably a Firebug 1.10.x update or a Firefox 14.0.1 update?) - this happened after pressing the Alt key to show the HUD _and_ only after typing a single character in it, as far as I remember.

I twice had updates during the last week but have only suspended and haven't restarted until today when FF crashed. I restarted and few seconds later it crashed again. I thought some of the loaded sites caused the crash so I ignored the saved session but even with an empty session it kept on crashing. Then running FF with the --safe-mode option I disabled all my add-ons and enabling one by one I found that the Global Menu Bar integration one failed. I think an up-to-date Ubuntu with Firefox 14.0.1, Firebug 1.10.2 and the Global Menu Bar integration add-on are enough to reproduce.

So the problem just got worse soon - Firefox keeps on crashing after each restart and cannot be used at all.
As far as disabling the extension is concerned - it's not just a matter of using or not using the HUD, this also ruins FF's menu from going over the top panel and shows the menu in FF's window itself.

I really hope this gets fixed soon for which I'll be deeply grateful!

@Radko,

I too decided to disable Global Menu Integration. If you then go to the
View menu in Firefox and turn off the Menu Bar you'll get a look that is
almost identical to what you get with with Global Menu enabled. The only
difference is a pulldown in the upper right with all the menu controls in
it. I'll attach a screen shot.

gb

On Tue, Aug 14, 2012 at 4:45 PM, Radko Dinev <email address hidden>wrote:

> @Colin Law: Disabling Firebug fixes all problems but I need Firebug so I
> chose to disable the "Global Menu Bar integration" add-on.
>
> Some updates a couple of weeks ago introduced the problem of Firefox
> crashing (probably a Firebug 1.10.x update or a Firefox 14.0.1 update?)
> - this happened after pressing the Alt key to show the HUD _and_ only
> after typing a single character in it, as far as I remember.
>
> I twice had updates during the last week but have only suspended and
> haven't restarted until today when FF crashed. I restarted and few
> seconds later it crashed again. I thought some of the loaded sites
> caused the crash so I ignored the saved session but even with an empty
> session it kept on crashing. Then running FF with the --safe-mode option
> I disabled all my add-ons and enabling one by one I found that the
> Global Menu Bar integration one failed. I think an up-to-date Ubuntu
> with Firefox 14.0.1, Firebug 1.10.2 and the Global Menu Bar integration
> add-on are enough to reproduce.
>
> So the problem just got worse soon - Firefox keeps on crashing after each
> restart and cannot be used at all.
> As far as disabling the extension is concerned - it's not just a matter of
> using or not using the HUD, this also ruins FF's menu from going over the
> top panel and shows the menu in FF's window itself.
>
> I really hope this gets fixed soon for which I'll be deeply grateful!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1026282).
> https://bugs.launchpad.net/bugs/1025011
>
> Title:
> Firebug extension causes firefox to crash (can be triggered by opening
> HUD)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/firefox/+bug/1025011/+subscriptions
>

Bart Willemsen (b-willemsen8) wrote :

It also happens to me, latest version of firefox and firebug. Firebug works fine with the global menu bar integration add on disabled, but when you enable it, it will crash firefox. You then need to restart firefox in safe mode and disable all add ons to make it work again.

Bart Willemsen (b-willemsen8) wrote :

That is Firefox 14.0.1 and Firebug version 1.10.2 by the way.

Hello Juan, or anyone else affected,

Accepted firefox into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/firefox/14.0.1+build1-0ubuntu0.12.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-failed
Steve Langasek (vorlon) wrote :

Hello Juan, or anyone else affected,

Accepted firefox into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/firefox/14.0.1+build1-0ubuntu0.11.10.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) wrote :

Hello Juan, or anyone else affected,

Accepted firefox into natty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/firefox/14.0.1+build1-0ubuntu0.11.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jens Berke (jensberke) wrote :

firefox14.0.1+build1-0ubuntu0.12.04.3
firefox-globalmenu 14.0.1+build1-0ubuntu0.12.04.3
firefox-gnome-support 14.0.1+build1-0ubuntu0.12.04.3
firefox-locale-de 14.0.1+build1-0ubuntu0.12.04.3
firefox-locale-en 14.0.1+build1-0ubuntu0.12.04.3

Jens Berke (jensberke) wrote :

Sorry, the post before got sent before I was ready to send it (seems like I accidentally used a keyboard shortcut for sending because I didn't click the submit button...). Here's what I wanted to post:

The latest from precise-proposed seems to fix the problem. Current setup:

Firebug 1.10.2
firefox 14.0.1+build1-0ubuntu0.12.04.3
firefox-globalmenu 14.0.1+build1-0ubuntu0.12.04.3
firefox-gnome-support 14.0.1+build1-0ubuntu0.12.04.3
firefox-locale-de 14.0.1+build1-0ubuntu0.12.04.3
firefox-locale-en 14.0.1+build1-0ubuntu0.12.04.3

tags: added: verification-done
removed: verification-needed
tags: added: verification-done-precise verification-needed
removed: verification-done
Guillaume (gufide-g) wrote :

me it only happen if I launch unity from other tty of the x server. I tried both with no screen variable set and set.

Launchpad Janitor (janitor) wrote :
Download full text (7.1 KiB)

This bug was fixed in the package firefox - 15.0+build1-0ubuntu0.11.10.1

---------------
firefox (15.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (FIREFOX_15_0_BUILD1)
    - see LP: #1041620 for USN information

  * Update globalmenu-extension to 3.4
    + Drop the edit UI workarounds
    + Fixes for LP: #1035305 - Crash when switching apps back to Firefox
      with Firebug installed
      - Keep the menu we export in sync with the document tree all of the
        time, rather than only when the menus are on screen. The HUD likes to
        open submenus without opening any of its ancestors, which can result in
        us handling events on menu nodes that are no longer in a document
        if an ancestor responds to a bubbled-up event by removing its
        children
      - Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Fix LP: #813775 - Hitting an assertion in dbusmenu
    + Fix LP: #861565 - No buttons in the "Show All Bookmarks" dialog
    + Fix LP: #775305 - An empty menu appears when FFChrome is installed
    + Add a small delay when opening the menu with the keyboard, so that
      the additional items are added before the menu appears. Fixes an
      issue where keyboard focus isn't on the first item when opening the
      history menu with the keyboard
  * Add Acholi to the locale blacklist
  * Separate the package name from the application name in various places.
    This enables us to change the package name without having to modify the
    application or packaging (eg, to allow us to provide official branded
    versions of Firefox ESR using the package name "firefox-esr")
    - update debian/README.Debian.in
    - update debian/apport/source_firefox.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control{,.in}
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
    - update debian/firefox.sh.in
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/usr.bin.firefox.apparmor.*
  * Move parts of debian/rules that can be shared with Thunderbird to a
    new, common fi...

Read more...

Changed in firefox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (7.1 KiB)

This bug was fixed in the package firefox - 15.0+build1-0ubuntu0.12.04.1

---------------
firefox (15.0+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (FIREFOX_15_0_BUILD1)
    - see LP: #1041620 for USN information

  * Update globalmenu-extension to 3.4
    + Drop the edit UI workarounds
    + Fixes for LP: #1035305 - Crash when switching apps back to Firefox
      with Firebug installed
      - Keep the menu we export in sync with the document tree all of the
        time, rather than only when the menus are on screen. The HUD likes to
        open submenus without opening any of its ancestors, which can result in
        us handling events on menu nodes that are no longer in a document
        if an ancestor responds to a bubbled-up event by removing its
        children
      - Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Fix LP: #813775 - Hitting an assertion in dbusmenu
    + Fix LP: #861565 - No buttons in the "Show All Bookmarks" dialog
    + Fix LP: #775305 - An empty menu appears when FFChrome is installed
    + Add a small delay when opening the menu with the keyboard, so that
      the additional items are added before the menu appears. Fixes an
      issue where keyboard focus isn't on the first item when opening the
      history menu with the keyboard
  * Add Acholi to the locale blacklist
  * Separate the package name from the application name in various places.
    This enables us to change the package name without having to modify the
    application or packaging (eg, to allow us to provide official branded
    versions of Firefox ESR using the package name "firefox-esr")
    - update debian/README.Debian.in
    - update debian/apport/source_firefox.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control{,.in}
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
    - update debian/firefox.sh.in
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/usr.bin.firefox.apparmor.*
  * Move parts of debian/rules that can be shared with Thunderbird to a
    new, common fi...

Read more...

Changed in firefox (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (7.1 KiB)

This bug was fixed in the package firefox - 15.0+build1-0ubuntu0.11.04.2

---------------
firefox (15.0+build1-0ubuntu0.11.04.2) natty-security; urgency=low

  * New upstream stable release (FIREFOX_15_0_BUILD1)
    - see LP: #1041620 for USN information

  * Update globalmenu-extension to 3.4.1
    + Drop the edit UI workarounds
    + Fixes for LP: #1035305 - Crash when switching apps back to Firefox
      with Firebug installed
      - Keep the menu we export in sync with the document tree all of the
        time, rather than only when the menus are on screen. The HUD likes to
        open submenus without opening any of its ancestors, which can result in
        us handling events on menu nodes that are no longer in a document
        if an ancestor responds to a bubbled-up event by removing its
        children
      - Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Fix LP: #813775 - Hitting an assertion in dbusmenu
    + Fix LP: #861565 - No buttons in the "Show All Bookmarks" dialog
    + Fix LP: #775305 - An empty menu appears when FFChrome is installed
    + Add a small delay when opening the menu with the keyboard, so that
      the additional items are added before the menu appears. Fixes an
      issue where keyboard focus isn't on the first item when opening the
      history menu with the keyboard
  * Add Acholi to the locale blacklist
  * Separate the package name from the application name in various places.
    This enables us to change the package name without having to modify the
    application or packaging (eg, to allow us to provide official branded
    versions of Firefox ESR using the package name "firefox-esr")
    - update debian/README.Debian.in
    - update debian/apport/source_firefox.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control{,.in}
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
    - update debian/firefox.sh.in
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/usr.bin.firefox.apparmor.*
  * Move parts of debian/rules that can be shared with Thunderbird to a
    new, common fi...

Read more...

Changed in firefox (Ubuntu Natty):
status: Fix Committed → Fix Released
Juan Pablo (juanps90) wrote :

Firefox 15 fixes the problem for me.

FF15 fixes it for me too

Bart Willemsen (b-willemsen8) wrote :

Latest Firefox update also fixed this issue for me! Thanks a lot!

Chris Coulson (chrisccoulson) wrote :

Good, that's expected, thanks :)

The Firefox builds in the proposed pockets are all obsolete now, and can be removed

Changed in globalmenu-extension:
status: Fix Committed → Fix Released

There are no crashes in 15.0.1 and above.

Changed in firefox:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.